Index: index.html
===================================================================
--- index.html	(revision 1802)
+++ index.html	(revision 1803)
@@ -1,40 +1,100 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head>
-<meta http-equiv="content-type" content="text/html; charset=UTF-8">
-<meta name="generator" content="ReText 4.1.2">
-<link rel="stylesheet" type="text/css" href="index_files/sf.css">
-<title>Téléchargements | TXM 0.8.0 beta | Downloads</title>
-</head>
-<body>
-<hr/>
-
-<h1 align="center">Téléchargements <span class="big">&nbsp;TXM 0.8.0 beta&nbsp;</span> Downloads<br>
-<!--<img src="index_files/txm-icon.jpg"><br>-->
-<!-- <small><a href="#fr">(instructions d'installation en français ci-dessous - FR FR FR)</a></small> -->
-</h1>
-<div style="background-image:url('index_files/TXM-background.jpg');background-repeat: no-repeat;background-position: right;">
-
-<p>Version 1</p>
-
-<table >
-<td><center><a href="TXM_0.8.0b1_Win64_installer.exe"><img width="125" src="index_files/windows-icon.png"/><br>Windows 7 et plus (64 bit)</a></center></td>
-<td><center ><a href="TXM_0.8.0b1_Linux64_installer.deb"><img width="125" src="index_files/ubuntu-icon.png"/><br>Ubuntu 16.04 et plus</a><br></center></li><td>
-<td><center ><a href="TXM_0.8.0b1_MacOSX_installer.pkg"><img width="125" src="index_files/macosx-icon.png"/><br>Mac OS X 10.10 et plus</a><br></center></li><td>
-</table>
-
-<!--
-<p><b>versions antérieures</b><br/>
-
-b4&nbsp;<a href="TXM_0.8.0b4_Win64_installer.exe">Windows</a>&nbsp;<a href="TXM_0.8.0b4_Linux64_installer.deb">Ubuntu</a>&nbsp;<a href="TXM_0.8.0b4_MacOSX_installer.pkg">Mac OS X</a><br/>
-b3&nbsp;<a href="TXM_0.8.0b3_Win64_installer.exe">Windows</a>&nbsp;<a href="TXM_0.8.0b3_Linux64_installer.deb">Ubuntu</a>&nbsp;<a href="TXM_0.8.0b3_MacOSX_installer.pkg">Mac OS X</a><br/>
-b2&nbsp;<a href="TXM_0.8.0b2_Win64_installer.exe">Windows</a>&nbsp;<a href="TXM_0.8.0b2_Linux64_installer.deb">Ubuntu</a>&nbsp;<a href="TXM_0.8.0b2_MacOSX_installer.pkg">Mac OS X</a><br/>
-b1&nbsp;<a href="TXM_0.8.0b1_Win64_installer.exe">Windows</a>&nbsp;<a href="TXM_0.8.0b1_Linux64_installer.deb">Ubuntu</a>&nbsp;<a href="TXM_0.8.0b1_MacOSX_installer.pkg">Mac OS X</a><br/>
-</p>-->
-
-<h2>Recettes</h2>
-<ul>
-<li><a href="https://groupes.renater.fr/wiki/txm-info/public/roadmap_0.8#recette_0_-_installation_multiple">Recette 0 </a>: installation</li>
-<li><a href="https://groupes.renater.fr/wiki/txm-info/public/roadmap_0.8#recette_1_verification_de_toutes_les_fonctionnalites_de_txm_080" >Recette 1</a> : vérification des fonctionnalités</li>
-
-</body>
-</html>
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head>
+<meta http-equiv="content-type" content="text/html; charset=UTF-8">
+<meta name="generator" content="ReText 4.1.2">
+<link rel="stylesheet" type="text/css" href="index_files/sf.css">
+<title>Téléchargements | TXM 0.8.0 beta | Downloads</title>
+</head>
+<body>
+<hr>
+
+<h1 align="center">Téléchargements <span class="big">&nbsp;TXM 0.8.0 beta&nbsp;</span> Downloads<br>
+<!--<img src="index_files/txm-icon.jpg"><br>-->
+<!-- <small><a href="#fr">(instructions d'installation en français ci-dessous - FR FR FR)</a></small> -->
+</h1>
+<div style="background-image:url('index_files/TXM-background.jpg');background-repeat: no-repeat;background-position: right;">
+
+<p align="center">Version 3</p>
+
+<table>
+<tbody><tr><td><center><a href="TXM_0.8.0b3_Win64_installer.exe"><img src="index_files/windows-icon.png" width="125"><br>Windows 7 et plus (64 bit)</a></center></td>
+<td><center><a href="TXM_0.8.0b3_Linux64_installer.deb"><img src="index_files/ubuntu-icon.png" width="125"><br>Ubuntu 16.04 et plus</a><br></center></td><td>
+</td><td><center><a href="TXM_0.8.0b3_MacOSX_installer.pkg"><img src="index_files/macosx-icon.png" width="125"><br>Mac OS X 10.10 et plus</a><br></center></td><td>
+</td></tr></tbody></table>
+
+
+<small>Versions antérieures<br/>
+<p>
+<!--
+b4&nbsp;<a href="TXM_0.8.0b4_Win64_installer.exe">Windows</a>&nbsp;<a href="TXM_0.8.0b4_Linux64_installer.deb">Ubuntu</a>&nbsp;<a href="TXM_0.8.0b4_MacOSX_installer.pkg">Mac OS X</a><br/>
+
+b3&nbsp;<a href="TXM_0.8.0b3_Win64_installer.exe">Windows</a>&nbsp;<a href="TXM_0.8.0b3_Linux64_installer.deb">Ubuntu</a>&nbsp;<a href="TXM_0.8.0b3_MacOSX_installer.pkg">Mac OS X</a><br/>
+-->
+beta 2&nbsp;<a href="TXM_0.8.0b2_Win64_installer.exe">Windows</a> - <a href="TXM_0.8.0b2_Linux64_installer.deb">Ubuntu</a> - <a href="TXM_0.8.0b2_MacOSX_installer.pkg">Mac OS X</a><br/>
+
+beta 1&nbsp;<a href="TXM_0.8.0b1_Win64_installer.exe">Windows</a> - <a href="TXM_0.8.0b1_Linux64_installer.deb">Ubuntu</a> - <a href="TXM_0.8.0b1_MacOSX_installer.pkg">Mac OS X</a><br/>
+</p>
+</small>
+
+
+<h2 id="fr">FRANÇAIS</h2>
+
+<h2 id="Nouveautés">Nouveautés</h2>
+
+<h3>Amélioration de l'installation</h3>
+<ul>
+	<li class="item">il n’est plus nécessaire d’installer laborieusement TreeTagger soi-même puis de le lier à TXM : deux nouvelles extensions TXM permettent désormais de télécharger et d’installer en quelques clics à la fois TreeTagger et deux modèles de langues par défaut (fr et en) ;</li>
+	<li class="item">TXM s’installe désormais dans un répertoire dédié à sa version. Cela permet d’utiliser différentes versions de TXM en même temps, par exemple TXM 0.7.9 et TXM 0.8.0.</i>
+</ul>
+<h3>Amélioration de l’interface</h3>
+<ul>
+	<li class="item">on peut désormais conserver les résultats de calculs entre deux sessions de TXM, soit à la demande (mode de fonctionnement par défaut), soit tous les résultats par défaut ;</li>
+	<li class="item">toutes les commandes intègrent désormais le réglage de tous leurs paramètres depuis la fenêtre de résultats, dans une zone rétractable dédiée. Cela permet de régler beaucoup plus facilement les paramètres pour affiner les résultats. Par exemple, on peut facilement régler les requêtes ou l’affichage des structures d’une Progression sans avoir à la relancer depuis le début.</li>
+	<li>
+	<div>
+		<h4>Conséquences :</h4>
+		<ul>
+			<li class="item">pour la majorité des commandes, il faut commencer par préciser un ou deux paramètres obligatoires dans la zone dédiée avant de pouvoir obtenir un premier résultat (comme par exemple la propriété de mots à utiliser pour le calcul des spécificités, d’une table lexicale, etc.) ;</li>
+			
+			<li class="item">le re-calcul d'un résultat provoque le recalcul de tous les résultats qui en dépendent (ses descendants dans la vue Corpus) : par exemple, recalculer une table lexicale recalcule les tableaux de spécificités ou les AFC construits à partir d’elle ;</li>
+<li class="item">les résultats, tableaux ou graphiques, peuvent être mis à jour soit dès que l’on modifie un des paramètres (mode de fonctionnement appelé « électrique », désactivé par défaut), soit à la demande en appuyant sur le bouton « [re-]calculer » (dans ce mode de fonctionnement, une marque « astérisque » s’affiche dans l’onglet de la fenêtre dès que l’on modifie un des paramètres, pour indiquer que l’on peut rafraîchir les résultats) ;</li>
+			<li class="item">Nouvelles préférences :</li>
+				<ul>
+					<li class="item">TXM > Utilisateur > Recalcul automatique lors du changement d'un paramètre : un résultat est recalculé dès qu'un de ses paramètres est modifié ;</li>
+					<li class="item">TXM > Utilisateur > Sauvegarde de tous les résultats par défaut (persistance) : tous les nouveaux résultats sont conservés entre les sessions de TXM ;</li>
+				</ul>
+		</ul>
+		</div>
+	</li>
+</ul>
+
+
+<ul>
+	<li class="item">les paramètres graphiques (police, taille des caractères, couleur de fond, etc.) sont réglables directement depuis une barre d’outils dédiée ;</li>
+	<li class="item">on peut cloner un résultat, avec ou sans ses descendants, par exemple pour comparer des variantes de calculs ;</li>
+</ul>
+
+<h3>Amélioration des outils d’annotation</h3>
+<ul>
+	<li class="item">on peut désormais ajouter ou corriger des propriétés de mots depuis une concordance, comme par exemple les propriétés « frpos » et « frlemma » de TreeTagger. Ce mode d’annotation a été ajouté aux modes d’annotation simple ou avancé de séquences de mots ;</li>
+</ul>
+
+<h3>Amélioration de l’import</h3>
+<ul>
+	<li class="item">le fichier de métadonnées « metadata » peut désormais être indifféremment au format .ods (LibreOffice Calc), .xlsx (MS Excel) ou .csv ;</li>
+	<li class="item">l'import et le chargement de corpus sont plus rapides car TXM ne redémarre plus les moteurs lors de ces traitements. </li>
+</ul>
+
+<h2 id="Retours de bugs">Retours de bugs</h2>
+
+<p>Vous pouvez faire vos retours soit directement par mail à l'adresse textometrie at groupes.renater.fr, soit dans le wiki des utilisateurs à la page <a href="https://groupes.renater.fr/wiki/txm-users/public/retours_de_bugs_logiciel/txm_0.8.0">https://groupes.renater.fr/wiki/txm-users/public/retours_de_bugs_logiciel/txm_0.8.0</a>s </p>
+
+<h2 id="Manuel de TXM">Manuel de TXM</h2>
+<p>L'installeur comprend la nouvelle version PDF du manuel de TXM 0.8,
+que vous pourrez également télécharger à : 
+<a href="Manuel%20de%20TXM%200.8%20FR.pdf">Manuel de TXM 0.8 FR.pdf</a></p>
+
+
+<p>L'équipe TXM</p>
+
+</ul></div></body></html>