Index: .classpath
===================================================================
--- .classpath	(revision 2269)
+++ .classpath	(revision 2270)
@@ -1,31 +1,54 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-2.5.0-indy.jar" sourcepath="/home/mdecorde/workspace047/org.txm.libs.groovy-all/src/apache-groovy-src-2.5.2.zip"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-ant-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-bsf-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-cli-commons-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-cli-picocli-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-console-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-datetime-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-dateutil-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-docgenerator-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-groovydoc-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-groovysh-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-jmx-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-json-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-json-direct-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-jsr223-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-macro-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-nio-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-servlet-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-sql-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-swing-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-templates-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-test-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-test-junit5-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-testng-2.5.0-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-xml-2.5.0-indy.jar"/>
-	<classpathentry kind="output" path="bin"/>
-</classpath>
+	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
+	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	  <classpathentry exported="true"
+                   kind="lib"
+                   path="lib/groovy-2.5.0-indy.jar"
+                   sourcepath="/home/mdecorde/workspace047/org.txm.libs.groovy-all/src/apache-groovy-src-2.5.2.zip"/>
+	  <classpathentry exported="true" kind="lib" path="lib/groovy-ant-2.5.0-indy.jar"/>
+	  <classpathentry exported="true" kind="lib" path="lib/groovy-bsf-2.5.0-indy.jar"/>
+	  <classpathentry exported="true"
+                   kind="lib"
+                   path="lib/groovy-cli-commons-2.5.0-indy.jar"/>
+	  <classpathentry exported="true"
+                   kind="lib"
+                   path="lib/groovy-cli-picocli-2.5.0-indy.jar"/>
+	  <classpathentry exported="true" kind="lib" path="lib/groovy-console-2.5.0-indy.jar"/>
+	  <classpathentry exported="true"
+                   kind="lib"
+                   path="lib/groovy-datetime-2.5.0-indy.jar"/>
+	  <classpathentry exported="true"
+                   kind="lib"
+                   path="lib/groovy-dateutil-2.5.0-indy.jar"/>
+	  <classpathentry exported="true"
+                   kind="lib"
+                   path="lib/groovy-docgenerator-2.5.0-indy.jar"/>
+	  <classpathentry exported="true"
+                   kind="lib"
+                   path="lib/groovy-groovydoc-2.5.0-indy.jar"/>
+	  <classpathentry exported="true"
+                   kind="lib"
+                   path="lib/groovy-groovysh-2.5.0-indy.jar"/>
+	  <classpathentry exported="true" kind="lib" path="lib/groovy-jmx-2.5.0-indy.jar"/>
+	  <classpathentry exported="true" kind="lib" path="lib/groovy-json-2.5.0-indy.jar"/>
+	  <classpathentry exported="true"
+                   kind="lib"
+                   path="lib/groovy-json-direct-2.5.0-indy.jar"/>
+	  <classpathentry exported="true" kind="lib" path="lib/groovy-jsr223-2.5.0-indy.jar"/>
+	  <classpathentry exported="true" kind="lib" path="lib/groovy-macro-2.5.0-indy.jar"/>
+	  <classpathentry exported="true" kind="lib" path="lib/groovy-nio-2.5.0-indy.jar"/>
+	  <classpathentry exported="true" kind="lib" path="lib/groovy-servlet-2.5.0-indy.jar"/>
+	  <classpathentry exported="true" kind="lib" path="lib/groovy-sql-2.5.0-indy.jar"/>
+	  <classpathentry exported="true" kind="lib" path="lib/groovy-swing-2.5.0-indy.jar"/>
+	  <classpathentry exported="true"
+                   kind="lib"
+                   path="lib/groovy-templates-2.5.0-indy.jar"/>
+	  <classpathentry exported="true" kind="lib" path="lib/groovy-test-2.5.0-indy.jar"/>
+	  <classpathentry exported="true"
+                   kind="lib"
+                   path="lib/groovy-test-junit5-2.5.0-indy.jar"/>
+	  <classpathentry exported="true" kind="lib" path="lib/groovy-testng-2.5.0-indy.jar"/>
+	  <classpathentry exported="true" kind="lib" path="lib/groovy-xml-2.5.0-indy.jar"/>
+	  <classpathentry kind="output" path="bin"/>
+</classpath>
\ No newline at end of file