Index: .classpath
===================================================================
--- .classpath	(revision 2397)
+++ .classpath	(revision 2398)
@@ -1,36 +1,49 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry exported="true" kind="lib" path="lib/commons-beanutils-1.9.2.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/commons-collections-3.2.2.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/commons-digester-1.8.1.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/commons-logging-1.2.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/commons-validator-1.5.0.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/java-rdfa-0.4.2.jar"/>
-	  <classpathentry exported="true"
-                   kind="lib"
-                   path="lib/jena-core-2.11.2.jar"
-                   sourcepath="/home/mdecorde/.m2/repository/org/apache/jena/jena-core/2.11.2/jena-core-2.11.2-sources.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/jena-iri-1.0.2.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/junit-3.8.1.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/log4j-1.2.17.jar"/>
-	  <classpathentry exported="true"
-                   kind="lib"
-                   path="lib/odfdom-java-0.8.11-incubating.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/odfdom-java-0.8.7.jar"/>
-	  <classpathentry exported="true"
-                   kind="lib"
-                   path="lib/org.odftoolkit.odfdom.converter.core-1.0.6.jar"/>
-	  <classpathentry exported="true"
-                   kind="lib"
-                   path="lib/simple-odf-0.8.2-incubating.jar"
-                   sourcepath="/home/mdecorde/.m2/repository/org/apache/odftoolkit/simple-odf/0.8.2-incubating/simple-odf-0.8.2-incubating-sources.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/slf4j-api-1.7.25.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/slf4j-log4j12-1.7.6.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/taglets-0.8.11-incubating.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/xercesImpl-2.9.1.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/xml-apis-1.3.04.jar"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins" />
+	<classpathentry kind="src" path="src" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/commons-beanutils-1.9.2.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/commons-collections-3.2.2.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/commons-digester-1.8.1.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/commons-logging-1.2.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/commons-validator-1.5.0.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/java-rdfa-0.4.2.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/jena-core-2.11.2.jar"
+		sourcepath="/home/mdecorde/.m2/repository/org/apache/jena/jena-core/2.11.2/jena-core-2.11.2-sources.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/jena-iri-1.0.2.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/junit-3.8.1.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/log4j-1.2.17.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/odfdom-java-0.8.11-incubating.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/odfdom-java-0.8.7.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/org.odftoolkit.odfdom.converter.core-1.0.6.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/simple-odf-0.8.2-incubating.jar"
+		sourcepath="/home/mdecorde/.m2/repository/org/apache/odftoolkit/simple-odf/0.8.2-incubating/simple-odf-0.8.2-incubating-sources.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/slf4j-api-1.7.25.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/slf4j-log4j12-1.7.6.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/taglets-0.8.11-incubating.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/xercesImpl-2.9.1.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/xml-apis-1.3.04.jar" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file