Index: site.xml
===================================================================
--- site.xml	(revision 3113)
+++ site.xml	(revision 3114)
@@ -1,48 +1,48 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <site>
-   <description name="TXM Extensions - RELEASE" url="https://gitlab.huma-num.fr/txm/txm-software/-/raw/master/dist/0.8.1/ext/beta">
+   <description name="TXM Extensions - RELEASE" url="https://gitlab.huma-num.fr/txm/txm-software/-/raw/master/dist/0.8.2/ext/beta">
       This update site contains the BETA extensions for TXM
    </description>
-   <feature url="features/org.txm.annotation.feature_1.0.0.202006261406.jar" id="org.txm.annotation.feature" version="1.0.0.202006261406">
+   <feature url="features/org.txm.annotation.feature_1.0.0.202006301717.jar" id="org.txm.annotation.feature" version="1.0.0.202006301717">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.annotation.urs.feature_1.0.0.202006261406.jar" id="org.txm.annotation.urs.feature" version="1.0.0.202006261406">
+   <feature url="features/org.txm.annotation.urs.feature_1.0.0.202006301717.jar" id="org.txm.annotation.urs.feature" version="1.0.0.202006301717">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.backtomedia.feature_1.0.0.202006261406.jar" id="org.txm.backtomedia.feature" version="1.0.0.202006261406" os="">
+   <feature url="features/org.txm.backtomedia.feature_1.0.0.202006301717.jar" id="org.txm.backtomedia.feature" version="1.0.0.202006301717" os="">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.conllu.feature_1.0.0.202006261406.jar" id="org.txm.conllu.feature" version="1.0.0.202006261406">
+   <feature url="features/org.txm.conllu.feature_1.0.0.202006301717.jar" id="org.txm.conllu.feature" version="1.0.0.202006301717">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.cql2lsa.feature_1.0.0.202006261406.jar" id="org.txm.cql2lsa.feature" version="1.0.0.202006261406">
+   <feature url="features/org.txm.cql2lsa.feature_1.0.0.202006301717.jar" id="org.txm.cql2lsa.feature" version="1.0.0.202006301717">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.dictionary.feature_1.0.0.202006261406.jar" id="org.txm.dictionary.feature" version="1.0.0.202006261406">
+   <feature url="features/org.txm.dictionary.feature_1.0.0.202006301717.jar" id="org.txm.dictionary.feature" version="1.0.0.202006301717">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.internalview.feature_1.0.0.202006261406.jar" id="org.txm.internalview.feature" version="1.0.0.202006261406">
+   <feature url="features/org.txm.internalview.feature_1.0.0.202006301717.jar" id="org.txm.internalview.feature" version="1.0.0.202006301717">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.textsbalance.feature_1.0.0.202006261406.jar" id="org.txm.textsbalance.feature" version="1.0.0.202006261406">
+   <feature url="features/org.txm.textsbalance.feature_1.0.0.202006301717.jar" id="org.txm.textsbalance.feature" version="1.0.0.202006301717">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.tigersearch.feature_1.0.0.202006261406.jar" id="org.txm.tigersearch.feature" version="1.0.0.202006261406">
+   <feature url="features/org.txm.tigersearch.feature_1.0.0.202006301717.jar" id="org.txm.tigersearch.feature" version="1.0.0.202006301717">
       <category name="ALL"/>
    </feature>
    <feature url="features/org.txm.treetagger.models.feature_1.0.0.201912161444.jar" id="org.txm.treetagger.models.feature" version="1.0.0.201912161444">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.wordcloud.feature_1.0.0.202006261406.jar" id="org.txm.wordcloud.feature" version="1.0.0.202006261406">
+   <feature url="features/org.txm.wordcloud.feature_1.0.0.202006301717.jar" id="org.txm.wordcloud.feature" version="1.0.0.202006301717">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.202006261406.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.202006261406" os="">
+   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.202006301717.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.202006301717" os="">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.treetagger.feature_1.0.0.202006261406.jar" id="org.txm.treetagger.feature" version="1.0.0.202006261406">
+   <feature url="features/org.txm.treetagger.feature_1.0.0.202006301717.jar" id="org.txm.treetagger.feature" version="1.0.0.202006301717">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.treetagger.models.feature_1.0.0.202006261406.jar" id="org.txm.treetagger.models.feature" version="1.0.0.202006261406">
+   <feature url="features/org.txm.treetagger.models.feature_1.0.0.202006301717.jar" id="org.txm.treetagger.models.feature" version="1.0.0.202006301717">
       <category name="ALL"/>
    </feature>
    <category-def name="ALL" label="ALL">