Index: plugin.xml
===================================================================
--- plugin.xml	(revision 3148)
+++ plugin.xml	(revision 3149)
@@ -1013,26 +1013,29 @@
                   name="menu.corpus.read"
                   visible="true">
             </separator>
+            
             <separator
-                  name="menu.corpus.manage"
+                  name="menu.corpus.build"
                   visible="true">
             </separator>
             <command
-                  commandId="org.txm.rcp.commands.workspace.OpenCorpus"
-                  label="Open"
+                  commandId="org.txm.rcp.commands.workspace.UpdateCorpus"
+                  icon="icons/functions/update.png"
+                  label="Re-import corpus"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
                   <or>
                      <reference
-                           definitionId="OneIProjectSelected">
+                           definitionId="OneMainCorpusSelected">
                      </reference>
                   </or>
                </visibleWhen>
             </command>
             <command
-                  commandId="org.txm.rcp.commands.workspace.CloseCorpus"
-                  label="Close"
+                  commandId="org.txm.rcp.commands.workspace.UpdateCorpus"
+                  icon="icons/functions/update.png"
+                  label="Force re-import corpus"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
@@ -1042,53 +1045,50 @@
                      </reference>
                   </or>
                </visibleWhen>
+               <parameter
+                     name="org.txm.rcp.commands.workspace.UpdateCorpus.force"
+                     value="true">
+               </parameter>
             </command>
-            
-            <separator
-                  name="menu.corpus.build"
-                  visible="true">
-            </separator>
             <command
-                  commandId="org.txm.rcp.commands.workspace.UpdateCorpus"
-                  icon="icons/functions/update.png"
-                  label="Re-import corpus"
+                  commandId="org.txm.rcp.handlers.results.DeleteObject"
+                  icon="icons/functions/Delete.png"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
                   <or>
                      <reference
-                           definitionId="OneMainCorpusSelected">
+                           definitionId="OneTXMResultSelected">
                      </reference>
                   </or>
                </visibleWhen>
             </command>
+            <separator
+                  name="menu.corpus.manage"
+                  visible="true">
+            </separator>
             <command
-                  commandId="org.txm.rcp.commands.workspace.UpdateCorpus"
-                  icon="icons/functions/update.png"
-                  label="Force re-import corpus"
+                  commandId="org.txm.rcp.commands.workspace.OpenCorpus"
+                  label="Open corpus"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
                   <or>
                      <reference
-                           definitionId="OneMainCorpusSelected">
+                           definitionId="OneIProjectSelected">
                      </reference>
                   </or>
                </visibleWhen>
-               <parameter
-                     name="org.txm.rcp.commands.workspace.UpdateCorpus.force"
-                     value="true">
-               </parameter>
             </command>
             <command
-                  commandId="org.txm.rcp.handlers.results.DeleteObject"
-                  icon="icons/functions/Delete.png"
+                  commandId="org.txm.rcp.commands.workspace.CloseCorpus"
+                  label="Close corpus"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
                   <or>
                      <reference
-                           definitionId="OneTXMResultSelected">
+                           definitionId="OneMainCorpusSelected">
                      </reference>
                   </or>
                </visibleWhen>
@@ -1117,6 +1117,14 @@
             </separator>
          </menu>
          <menu
+               id="menu.utilities"
+               label="Utilities">
+            <dynamic
+                  class="org.txm.rcp.menu.MacrosMenuContribution"
+                  id="menu.utilities.contribution">
+            </dynamic>
+         </menu>
+         <menu
                id="menu.display"
                label="%menu.label.7"
                tooltip="%menu.tooltip.0">
@@ -2162,7 +2170,7 @@
             </command>
             <command
                   commandId="org.txm.rcp.commands.workspace.OpenCorpus"
-                  label="Open"
+                  label="Open corpus"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
@@ -2175,7 +2183,7 @@
             </command>
             <command
                   commandId="org.txm.rcp.commands.workspace.CloseCorpus"
-                  label="Close"
+                  label="Close corpus"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
@@ -2909,6 +2917,19 @@
                </with>
             </definition>
             <definition
+                  id="OneIProjectSelected">
+               <with
+                     variable="selection">
+                  <iterate
+                        ifEmpty="false"
+                        operator="and">
+                     <instanceof
+                           value="org.eclipse.core.resources.IProject">
+                     </instanceof>
+                  </iterate>
+               </with>
+            </definition>
+            <definition
                   id="OneTextSelected">
                <with
                      variable="selection">