Index: plugin.xml
===================================================================
--- plugin.xml	(revision 3150)
+++ plugin.xml	(revision 3151)
@@ -787,7 +787,8 @@
             
             <command
                   commandId="org.eclipse.ui.edit.findReplace"
-                  label="%command.label.15">
+                  icon="icons/functions/find.png"
+                  label="%command.label.159">
                <visibleWhen
                      checkEnabled="false">
                   <reference
@@ -796,8 +797,9 @@
                </visibleWhen>
             </command>
             <command
-                  commandId="org.eclipse.ui.edit.findNext"
-                  label="%command.label.98"
+                  commandId="org.eclipse.ui.edit.findPrevious"
+                  icon="icons/functions/find_previous.png"
+                  label="%command.label.160"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
@@ -807,8 +809,9 @@
                </visibleWhen>
             </command>
             <command
-                  commandId="org.eclipse.ui.edit.findPrevious"
-                  label="%command.label.100"
+                  commandId="org.eclipse.ui.edit.findNext"
+                  icon="icons/functions/find_next.png"
+                  label="%command.label.161"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
@@ -818,8 +821,9 @@
                </visibleWhen>
             </command>
             <command
-                  commandId="org.eclipse.ui.edit.findIncremental"
-                  label="%command.label.109"
+                  commandId="org.eclipse.ui.edit.findIncrementalReverse"
+                  icon="icons/functions/find_incremental_reverse.png"
+                  label="%command.label.110"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
@@ -829,8 +833,9 @@
                </visibleWhen>
             </command>
             <command
-                  commandId="org.eclipse.ui.edit.findIncrementalReverse"
-                  label="%command.label.110"
+                  commandId="org.eclipse.ui.edit.findIncremental"
+                  icon="icons/functions/find_incremental.png"
+                  label="%command.label.109"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
@@ -909,7 +914,8 @@
             </command>
             <command
                   commandId="org.eclipse.ui.edit.selectAll"
-                  label="%command.label.28">
+                  icon="icons/functions/page_allgreen.png"
+                  label="%command.label.165">
                <visibleWhen
                      checkEnabled="false">
                   <reference
@@ -924,7 +930,7 @@
             <command
                   commandId="org.eclipse.ui.edit.text.goto.line"
                   icon="icons/functions/goto.png"
-                  label="%command.label.113"
+                  label="%command.label.166"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
@@ -963,7 +969,7 @@
             <command
                   commandId="org.eclipse.ui.editors.lineNumberToggle"
                   icon="icons/functions/lines_number.png"
-                  label="%command.label.140"
+                  label="%command.label.168"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
@@ -975,7 +981,7 @@
             <command
                   commandId="org.eclipse.ui.edit.text.toggleShowWhitespaceCharacters"
                   icon="icons/functions/paragraph.png"
-                  label="%command.label.144"
+                  label="%command.label.169"
                   style="push"
                   tooltip="%command.tooltip.31">
                <visibleWhen
@@ -1531,7 +1537,7 @@
             <command
                   commandId="org.txm.rcp.commands.CreateFile"
                   icon="icons/functions/page_white_add.png"
-                  label="%command.label.158"
+                  label="%command.label.83"
                   tooltip="%command.tooltip.34">
             </command>
             <command
@@ -1543,6 +1549,7 @@
             <command
                   commandId="org.eclipse.ui.file.save"
                   icon="icons/functions/save.png"
+                  label="%command.label.88"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
@@ -1553,7 +1560,8 @@
             </command>
             <command
                   commandId="org.txm.rcp.commands.editor.SaveAs"
-                  icon="icons/functions/saveas.png">
+                  icon="icons/functions/saveas.png"
+                  label="%command.label.29">
                <visibleWhen
                      checkEnabled="false">
                   <reference
@@ -1566,8 +1574,8 @@
                   visible="true">
             </separator>
             <command
-                  commandId="org.eclipse.ui.edit.cut"
-                  label="%command.label.18">
+                  commandId="org.eclipse.ui.edit.undo"
+                  label="%command.label.16">
                <visibleWhen
                      checkEnabled="false">
                   <reference
@@ -1576,8 +1584,8 @@
                </visibleWhen>
             </command>
             <command
-                  commandId="org.eclipse.ui.edit.copy"
-                  label="%command.label.19">
+                  commandId="org.eclipse.ui.edit.redo"
+                  label="%command.label.17">
                <visibleWhen
                      checkEnabled="false">
                   <reference
@@ -1586,8 +1594,8 @@
                </visibleWhen>
             </command>
             <command
-                  commandId="org.eclipse.ui.edit.paste"
-                  label="%command.label.20">
+                  commandId="org.eclipse.ui.edit.cut"
+                  label="%command.label.18">
                <visibleWhen
                      checkEnabled="false">
                   <reference
@@ -1596,8 +1604,8 @@
                </visibleWhen>
             </command>
             <command
-                  commandId="org.eclipse.ui.edit.delete"
-                  label="%command.label.27">
+                  commandId="org.eclipse.ui.edit.copy"
+                  label="%command.label.19">
                <visibleWhen
                      checkEnabled="false">
                   <reference
@@ -1606,8 +1614,8 @@
                </visibleWhen>
             </command>
             <command
-                  commandId="org.eclipse.ui.edit.undo"
-                  label="%command.label.16">
+                  commandId="org.eclipse.ui.edit.paste"
+                  label="%command.label.20">
                <visibleWhen
                      checkEnabled="false">
                   <reference
@@ -1616,8 +1624,8 @@
                </visibleWhen>
             </command>
             <command
-                  commandId="org.eclipse.ui.edit.redo"
-                  label="%command.label.17">
+                  commandId="org.eclipse.ui.edit.delete"
+                  label="%command.label.27">
                <visibleWhen
                      checkEnabled="false">
                   <reference
@@ -1676,9 +1684,9 @@
                </visibleWhen>
             </command>
             <command
-                  commandId="org.eclipse.ui.edit.findIncremental"
-                  icon="icons/functions/find_incremental.png"
-                  label="%command.label.162"
+                  commandId="org.eclipse.ui.edit.findIncrementalReverse"
+                  icon="icons/functions/find_incremental_reverse.png"
+                  label="%command.label.163"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
@@ -1688,9 +1696,9 @@
                </visibleWhen>
             </command>
             <command
-                  commandId="org.eclipse.ui.edit.findIncrementalReverse"
-                  icon="icons/functions/find_incremental_reverse.png"
-                  label="%command.label.163"
+                  commandId="org.eclipse.ui.edit.findIncremental"
+                  icon="icons/functions/find_incremental.png"
+                  label="%command.label.162"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
@@ -1743,7 +1751,7 @@
             <command
                   commandId="org.eclipse.ui.edit.text.open.hyperlink"
                   icon="icons/functions/world.png"
-                  label="%command.label.167"
+                  label="%command.label.133"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
@@ -1766,7 +1774,7 @@
             <command
                   commandId="org.eclipse.ui.file.revert"
                   icon="icons/functions/page_refresh.png"
-                  label="%command.label.164"
+                  label="%command.label.145"
                   style="push">
                <visibleWhen
                      checkEnabled="false">