Index: site.xml
===================================================================
--- site.xml	(revision 3587)
+++ site.xml	(revision 3588)
@@ -3,51 +3,32 @@
    <description name="TXM Extensions - RELEASE" url="https://gitlab.huma-num.fr/txm/txm-software/-/raw/master/dist/0.8.2/ext/beta">
       This update site contains the BETA extensions for TXM
    </description>
-   <feature url="features/org.txm.annotation.feature_1.0.0.202006301717.jar" id="org.txm.annotation.feature" version="1.0.0.202006301717">
-      <category name="ALL"/>
+   <feature url="features/org.txm.wordcloud.feature_1.0.0.202301041636.jar" id="org.txm.wordcloud.feature" version="1.0.0.202301041636">
+      <category name="Commands"/>
    </feature>
-   <feature url="features/org.txm.annotation.urs.feature_1.0.0.202006301717.jar" id="org.txm.annotation.urs.feature" version="1.0.0.202006301717">
-      <category name="ALL"/>
+   <feature url="features/org.txm.treesearch.feature_1.0.0.202301041636.jar" id="org.txm.treesearch.feature" version="1.0.0.202301041636">
+      <category name="Commands"/>
    </feature>
-   <feature url="features/org.txm.backtomedia.feature_1.0.0.202006301717.jar" id="org.txm.backtomedia.feature" version="1.0.0.202006301717" os="">
-      <category name="ALL"/>
+   <feature url="features/org.txm.backtomedia.feature_1.0.0.202301041636.jar" id="org.txm.backtomedia.feature" version="1.0.0.202301041636">
+      <category name="Commands"/>
    </feature>
-   <feature url="features/org.txm.conllu.feature_1.0.0.202006301717.jar" id="org.txm.conllu.feature" version="1.0.0.202006301717">
-      <category name="ALL"/>
+   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.202301041636.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.202301041636" os="" ws="">
+      <category name="Annotation"/>
    </feature>
-   <feature url="features/org.txm.cql2lsa.feature_1.0.0.202006301717.jar" id="org.txm.cql2lsa.feature" version="1.0.0.202006301717">
-      <category name="ALL"/>
+   <feature url="features/org.txm.annotation.urs.feature_1.0.0.202301041636.jar" id="org.txm.annotation.urs.feature" version="1.0.0.202301041636">
+      <category name="Annotation"/>
    </feature>
-   <feature url="features/org.txm.dictionary.feature_1.0.0.202006301717.jar" id="org.txm.dictionary.feature" version="1.0.0.202006301717">
-      <category name="ALL"/>
+   <feature url="features/org.txm.treetagger.models.feature_1.0.0.202301041636.jar" id="org.txm.treetagger.models.feature" version="1.0.0.202301041636">
+      <category name="Annotation"/>
    </feature>
-   <feature url="features/org.txm.internalview.feature_1.0.0.202006301717.jar" id="org.txm.internalview.feature" version="1.0.0.202006301717">
-      <category name="ALL"/>
-   </feature>
-   <feature url="features/org.txm.textsbalance.feature_1.0.0.202006301717.jar" id="org.txm.textsbalance.feature" version="1.0.0.202006301717">
-      <category name="ALL"/>
-   </feature>
-   <feature url="features/org.txm.tigersearch.feature_1.0.0.202006301717.jar" id="org.txm.tigersearch.feature" version="1.0.0.202006301717">
-      <category name="ALL"/>
-   </feature>
-   <feature url="features/org.txm.treetagger.models.feature_1.0.0.201912161444.jar" id="org.txm.treetagger.models.feature" version="1.0.0.201912161444">
-      <category name="ALL"/>
-   </feature>
-   <feature url="features/org.txm.wordcloud.feature_1.0.0.202006301717.jar" id="org.txm.wordcloud.feature" version="1.0.0.202006301717">
-      <category name="ALL"/>
-   </feature>
-   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.202006301717.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.202006301717" os="">
-      <category name="ALL"/>
-   </feature>
-   <feature url="features/org.txm.treetagger.feature_1.0.0.202006301717.jar" id="org.txm.treetagger.feature" version="1.0.0.202006301717">
-      <category name="ALL"/>
-   </feature>
-   <feature url="features/org.txm.treetagger.models.feature_1.0.0.202006301717.jar" id="org.txm.treetagger.models.feature" version="1.0.0.202006301717">
-      <category name="ALL"/>
-   </feature>
-   <category-def name="ALL" label="ALL">
+   <category-def name="Commands" label="Commands">
       <description>
-         ALL TXM extensions
+         Add new commands to TXM
       </description>
    </category-def>
+   <category-def name="Annotation" label="Annotation">
+      <description>
+         Add new annotation modes to TXM
+      </description>
+   </category-def>
 </site>