commit e5603c3f87f71891f0bbf9f3e8892f9e67ffaf48
Author: Florent Chuffart <florent.chuffart@ens-lyon.fr>
Date:   Fri Jul 18 15:27:59 2014 +0200

    Adding workdir deps

diff --git a/README b/README
index 6a29558..7a83826 100644
--- a/README
+++ b/README
@@ -3,9 +3,9 @@ Readme / Documentation for *NucleoMiner2*
 *****************************************
 
 *NucleoMiner2* offers Python API and R package allowing to perform
-quantitative analysis of nucleosomal epigenome. It is especially well
-suited for scripting to extract natural Single-Nucleosome Epi-
-Polymorphisms (SNEP) from ChIP-Seq data.
+quantitative analysis of epigenetic marks on individual nucleosomes.
+It was developed to detect natural Single-Nucleosome Epi-Polymorphisms
+(SNEP) from MNase-seq and ChIP-seq data.
 
 
 License
@@ -35,16 +35,20 @@ only with a limited warranty  and the software's author,  the holder
 of the economic rights,  and the successive licensors  have only
 limited liability.
 
-In this respect, the user's attention is drawn to the risks associated
-with loading,  using,  modifying and/or developing or reproducing the
-software by the user in light of its specific status of free software,
-that may mean  that it is complicated to manipulate,  and  that  also
-therefore means  that it is reserved for developers  and  experienced
-professionals having in-depth computer knowledge. Users are therefore
-encouraged to load and test the software's suitability as regards
-their requirements in conditions enabling the security of their
-systems and/or data to be ensured and,  more generally, to use and
-operate it in the same conditions as regards security.
+This software is provided with absolutely NO WARRANTY. The authors can
+not be held responsible, even partially, for any damage, loss,
+financial loss or any other undesired facts resulting from the use of
+the software. In this respect, the user's attention is drawn to the
+risks associated with loading,  using,  modifying and/or developing or
+reproducing the software by the user in light of its specific status
+of free software, that may mean  that it is complicated to manipulate,
+and  that  also therefore means  that it is reserved for developers
+and  experienced professionals having in-depth computer knowledge.
+Users are therefore encouraged to load and test the software's
+suitability as regards their requirements in conditions enabling the
+security of their systems and/or data to be ensured and,  more
+generally, to use and operate it in the same conditions as regards
+security.
 
 The fact that you are presently reading this means that you have had
 knowledge of the CeCILL license and that you accept its terms.
@@ -57,27 +61,36 @@ Installation Instructions
 Links
 -----
 
-*NucleoMiner2* home page and documentation: https://forge.cbp.ens-
-lyon.fr/redmine/projects/nucleominer
+*NucleoMiner2* home page and documentation are available here:
 
-Gael Yvert lab page: http://www.ens-lyon.fr/LBMC/gisv/
+   * https://forge.cbp.ens-lyon.fr/redmine/projects/nucleominer
+
+The Yvert lab web page is accessible here:
+
+   * http://www.ens-lyon.fr/LBMC/gisv/
 
 
 Installation
 ------------
 
-   * Download archive
 
-   * Compile bowtie2
+Prerequisites
+~~~~~~~~~~~~~
+
+To work properly, NucleoMiner2 needs that the following free software
+are installed and made available on your system:
+
+   * Bowtie2 http://bowtie-bio.sourceforge.net/bowtie2
 
-   * Compile samtools
+   * SAMtools http://samtools.sourceforge.net
 
-   * Compile bedtools
+   * bedtools http://code.google.com/p/bedtools/
 
-   * Compile TemplateFilter
+   * TemplateFilter
+     http://compbio.cs.huji.ac.il/NucPosition/TemplateFiltering
 
-Required R packages:
-   * bot
+It also requires the following R packages to be installed on your
+system:
 
    * fork
 
@@ -85,28 +98,10 @@ Required R packages:
 
    * seqinr
 
-   * cachecache
-
-   cd src/r_packages/
-         tar xfvz R-latest.tar.gz
-         cd R-patched
-         ./configure --with-x=no PDFLATEX="ls"
-         make
-   cd ../../..
-   R_BIN=src/r_packages/R-patched/bin/R
-         $R_BIN CMD INSTALL src/r_packages/rjson_0.2.12.tar.gz
-         $R_BIN CMD INSTALL src/r_packages/seqinr_3.0-7.tar.gz
-         $R_BIN CMD INSTALL src/r_packages/plotrix_3.4-5.tar.gz
-         $R_BIN CMD INSTALL src/r_packages/nm_2.0.tar.gz
-         $R_BIN CMD INSTALL src/r_packages/fork_1.2.4.tar.gz
-         $R_BIN CMD INSTALL src/r_packages/bot_0.9.tar.gz
-         $R_BIN CMD INSTALL src/r_packages/DESeq_1.14.0.tar.gz
-
-...
-
+   * cachecache https://forge.cbp.ens-
+     lyon.fr/redmine/projects/cachecache
 
-usage
-=====
+   * bot https://forge.cbp.ens-lyon.fr/redmine/projects/bot
 
-See html documentation for *NucleoMiner2*: http://www.ens-
-lyon.fr/LBMC/gisv/
+   * nucleominer https://forge.cbp.ens-
+     lyon.fr/redmine/projects/nucleominer