commit e5603c3f87f71891f0bbf9f3e8892f9e67ffaf48
Author: Florent Chuffart <florent.chuffart@ens-lyon.fr>
Date:   Fri Jul 18 15:27:59 2014 +0200

    Adding workdir deps

diff --git a/doc/sphinx_doc/rref.rst b/doc/sphinx_doc/rref.rst
index 73afad1..724e329 100644
--- a/doc/sphinx_doc/rref.rst
+++ b/doc/sphinx_doc/rref.rst
@@ -4,7 +4,7 @@ Arabic to Roman pair list.
 Description
 ~~~~~~~~~~~
 
-Util to convert Arabicto Roman
+Utility to convert Arabic numbers to Roman numbers
 
 Usage
 ~~~~~
@@ -72,7 +72,7 @@ Roman to Arabic pair list.
 Description
 ~~~~~~~~~~~
 
-Util to convert Roman to Arabic
+Utility to convert Roman numbers into Arabic numbers
 
 Usage
 ~~~~~
@@ -94,16 +94,17 @@ Aggregate replicated sample's nucleosomes.
 Description
 ~~~~~~~~~~~
 
-This function aggregates nucleosome for replicated samples. It uses
+This function aggregates nucleosomes from replicated samples. It uses
 TemplateFilter ouput of each sample as replicate. Each sample owns a set
 of nucleosomes computed using TemplateFilter and ordered by the position
-of their center. Adajacent nucleosomes are compared two by two.
-Comparison is based on a log likelihood ratio score. The issue of
-comparison is adjacents nucleosomes merge or separation. Finally the
-function returns a list of clusters and all computed *llr\_scores*. Each
-cluster ows an attribute *wp* for "well positionned". This attribute is
-set as *TRUE* if the cluster is composed of exactly one nucleosomes of
-each sample.
+of their center (dyad). A chain of nucleosomes is builts across all
+replicates. Adjacent nucleosomes of the chain are compared two by two.
+Comparison is based on a log likelihood ratio (LLR1). depending on the
+LLR1 value nucleosomes are merged (low LLR) or separated (high LLR).
+Finally the function returns a list of clusters and all computed
+llr\_scores. Each cluster ows an attribute wp for “well positioned”.
+This attribute is set to TRUE if the cluster is composed of exactly one
+nucleosome of each sample.
 
 Usage
 ~~~~~
@@ -123,7 +124,7 @@ list(name=..., begin=..., end=..., chr=..., genome=...)*.
 
 ``llr_thres``
 
-Log likelihood ration threshold.
+Log likelihood ratio threshold to decide between merging and separating
 
 ``coord_max``
 
@@ -176,7 +177,8 @@ Aligns nucleosomes between 2 strains.
 Description
 ~~~~~~~~~~~
 
-This function aligns nucs between two strains for a given genome region.
+This function aligns nucleosomes between two strains for a given genome
+region.
 
 Usage
 ~~~~~
@@ -196,12 +198,12 @@ Set of replicates, ideally 3 per strain.
 
 ``wp_nucs_strain_ref1``
 
-List of aggregates nucleosome for strain 1. If it's null this list will
+List of aggregates nucleosome for strain 1. If it's NULL this list will
 be computed.
 
 ``wp_nucs_strain_ref2``
 
-List of aggregates nucleosome for strain 2. If it's null this list will
+List of aggregates nucleosome for strain 2. If it's NULL this list will
 be computed.
 
 ``corr_thres``
@@ -210,7 +212,7 @@ Correlation threshold.
 
 ``llr_thres``
 
-LOD cut off.
+Log likelihood ratio threshold to decide between merging and separating
 
 ``config``
 
@@ -278,17 +280,16 @@ Examples
     }
     print(align_inter_strain_nucs(replicates))
 
-R: Launch deseq methods.
+R: Launch DESeq methods.
 
-Launch deseq methods.
+Launch DESeq methods.
 ---------------------
 
 Description
 ~~~~~~~~~~~
 
-This function is based on deseq example. It mormalizes data, fit data to
-GLM model with and without interaction term and compare the two
-l;=models.
+This function is based on DESeq example. It normalizes data, fit data to
+GLM model with and without interaction term and compares the two models.
 
 Usage
 ~~~~~
@@ -302,11 +303,11 @@ Arguments
 
 ``snep_design``
 
-The design to considere.
+The design to consider.
 
 ``reads``
 
-The data to considere.
+The data to consider.
 
 Author(s)
 ~~~~~~~~~
@@ -321,7 +322,7 @@ Stage replicates data
 Description
 ~~~~~~~~~~~
 
-This function loads in memory data corresponding to the given
+This function loads in memory the data corresponding to the given
 experiments.
 
 Usage
@@ -337,7 +338,7 @@ Arguments
 
 ``expe``
 
-a list of vector corresponding to vector of replicates.
+a list of vectors corresponding to replicates.
 
 ``roi``
 
@@ -373,7 +374,7 @@ Examples
     # library(nucleominer)
     #
     # # Read config file
-    # json_conf_file = "nucleo_miner_config.json"
+    # json_conf_file = "nucleominer_config.json"
     # config = fromJSON(paste(readLines(json_conf_file), collapse=""))
     # # Read sample file
     # all_samples = get_content(config$CSV_SAMPLE_FILE, "cvs", sep=";", head=TRUE, stringsAsFactors=FALSE)
@@ -405,7 +406,7 @@ Extract a sub part of the corresponding c2c file
 Description
 ~~~~~~~~~~~
 
-This fonction allow to acces to a specific part of the c2c file.
+This fonction allows to access to a specific part of the c2c file.
 
 Usage
 ~~~~~
@@ -428,16 +429,16 @@ the target strain
 
 ``chr``
 
-if defined, the c2c will filtered according to the chromosome value
+if defined, the c2c will be filtered according to the chromosome value
 
 ``lower_bound``
 
-if defined, the c2c will filtered for part of the genome upper than
+if defined, the c2c will be filtered for part of the genome upper than
 lower\_bound
 
 ``upper_bound``
 
-if defined, the c2c will filtered for part of the genome lower than
+if defined, the c2c will be filtered for part of the genome lower than
 upper\_bound
 
 ``config``
@@ -950,9 +951,9 @@ Author(s)
 
 Florent Chuffart
 
-R: Build the design for deseq
+R: Build the design for DESeq
 
-Build the design for deseq
+Build the design for DESeq
 --------------------------
 
 Description
@@ -1044,7 +1045,7 @@ Usage
 
 ::
 
-    get_sneps(marker, combi, form, all_samples, config = NULL)
+    get_sneps(marker, combi, form, all_samples, FDR = 1e-04, config = NULL)
 
 Arguments
 ~~~~~~~~~
@@ -1065,6 +1066,8 @@ the nuc form involved.
 
 Global list of samples.
 
+``FDR``
+
 ``config``
 
 GLOBAL config variable
@@ -1214,7 +1217,7 @@ Examples
 
 ::
 
-    # LOD score for 2 set of values
+    # LLR score for 2 set of values
     mean1=5; sd1=2; card2 = 250
     mean2=6; sd2=3; card1 = 200
     x1 = rnorm(card1, mean1, sd1)
@@ -1270,7 +1273,7 @@ Plot the distribution of reads.
 Description
 ~~~~~~~~~~~
 
-This fuxntion use the deseq nomalization feature to compare
+This fuxntion use the DESeq nomalization feature to compare
 qualitatively the distribution.
 
 Usage
@@ -1491,7 +1494,7 @@ Translate a list of regions from a strain ref to another.
 Description
 ~~~~~~~~~~~
 
-This function is an eloborated call to translate\_cur.
+This function is an elaborated call to translate\_cur.
 
 Usage
 ~~~~~
@@ -1528,10 +1531,10 @@ Author(s)
 
 Florent Chuffart
 
-R: Aggregate regions that intersect themnselves.
+R: Aggregate regions that intersect themselves.
 
-Aggregate regions that intersect themnselves.
----------------------------------------------
+Aggregate regions that intersect themselves.
+--------------------------------------------
 
 Description
 ~~~~~~~~~~~