commit c25275e2319b096d1db1ee37088f18a131871f4e
Author: Florent Chuffart <florent.chuffart@ens-lyon.fr>
Date:   Thu Jul 16 18:02:32 2015 +0200

    Documenting c2c creation.

diff --git a/README b/README
index 461ae92..3725908 100644
--- a/README
+++ b/README
@@ -826,68 +826,49 @@ Here are the number of computed SNEPs for each forms.
 APPENDICE: Generate .c2c Files
 ==============================
 
-$$$ TODO make it works properly. working directory.
-
 The *.c2c* files is a simple table that describes how the genome
-sequence can be aligned. We generate it using NucleoMiner 1.0.
+sequence can be aligned. We generate it using some NucleoMiner 1.0
+scripts.
 
-To install NucleoMiner 1.0 on your UNIX/LINUX computer you need first
-to install the Genetic Data analysis Library (GDL), which is a dynamic
-library of useful C functions derived from the GNU Scientific Library.
+To use NucleoMiner 1.0 scripts on your UNIX/LINUX computer you need
+first to install MUMmer which is a system for rapidly aligning entire
+genomes, whether in complete or draft form.
 
 
-Installing the GDL library
---------------------------
+Installing the MUMmer library
+-----------------------------
 
-Get the gdl-1.0.tar.gz archive on your computer (in the directory deps
-of your working directory). Copy it in a dedicated directory. Go into
-this directory using the cd command, and then unfold the archive by
-typing:
+Get the last version of MUMmer archive on your computer
+(MUMmer3.23.tar.gz distributed in the directory deps of your working
+directory). Copy it in a dedicated directory. Install it locally into
+the src folder of you working directory by typing (working directory):
 
 tar -xvzf gdl-1.0.tar.gz
 
 This creates a directory called gdl-1.0. You now need to go into this
 directory and compile the library, by typing:
 
-   mkdir tmp_c2c_workdir
-   cd tmp_c2c_workdir
-   cp ../deps/gdl-1.0.tar.gz .
-   tar -xvzf gdl-1.0.tar.gz
-   cd gdl-1.0
-   ./configure
-   make
-
-   cd ..
-
-Now you need to install the library on your system. This needs root
-priviledges:
+   cd src
+   tar xfvz ../deps/MUMmer3.23.tar.gz
+   cd MUMmer3.23
+   make check
+   make install
 
-   sudo make install
 
+Installing NucleoMiner 1.0 scripts
+----------------------------------
 
-Installing NucleoMiner 1.0
---------------------------
-
-Get the nucleominer-1.0.tar.gz archive on your computer. Copy it in a
-dedicated directory. Go into this directory using the cd command, and
-then unfold the archive by typing:
-
-This creates a directory called nucleominer-1.0. You now need to go
-into this directory and compile the library, by typing:
-
-   cp ../deps/nucleominer-1.0.tar.gz .
-   tar -xvzf nucleominer-1.0.tar.gz
-   cd nucleominer-1.0
-   ln -s ../gdl-1.0/gdl
-   ./configure
-   make
+Get the nucleominer-1.0.tar.gz archive on your computer (distributed
+in the directory deps of your working directory). Install it locally
+into the src folder of you working directory by typing (working
+directory):
 
-You can then use the binaries dircetly from this folder (best then is
-to add the path to this folder in your PATH environment variable). If
-you want to install nucleominer at the system's level (useful if
-mutiple users will need it) then type, with root priviledges:
+   cd src
+   tar xfvz ../deps/nucleominer-1.0.tar.gz
+   cd ..
 
-   sudo make install
+This creates a directory called that contains  NucleoMiner 1.0 scripts
+(src/nucleominer-1.0/scripts).
 
 
 Generate .c2c Files
@@ -896,9 +877,10 @@ Generate .c2c Files
 To generate .c2c files you need to type the following command in a
 terminal:
 
-   mkdir dir_4_c2c
-   NMgxcomp ../data/saccharomyces_cerevisiae_BY_S288c_chromosomes.fasta\
-            ../data/saccharomyces_cerevisiae_rm11-1a_1_supercontigs.fasta\
-            dir_4_c2c/BY_RM 2>dir_4_c2c/BY_RM.log
+   export PATH=$PATH:src/MUMmer3.23:src/nucleominer-1.0/scripts
+   export PERL5LIB=$PERL5LIB:src/nucleominer-1.0/scripts/
+   NMgxcomp data/saccharomyces_cerevisiae_BY_S288c_chromosomes.fasta \
+     data/saccharomyces_cerevisiae_rm11-1a_1_supercontigs.fasta \
+     data/byxrm 2>NMgxcomp.log
 
-After execution, the directory *dir_4_c2c* will hold the .c2c files.
+After execution, the directory *data* will hold the .c2c files.